Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.TextElideMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.TextElideMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.TextElideMode

extends java.lang.Enum
implements QtEnumerator

This enum specifies where the ellipsis should appear when displaying texts that don't fit. `Qt::ElideMiddle` is normally the most appropriate choice for URLs (e.g., "http://www.troll...ovingto/beijing/"), whereas `Qt::ElideRight` is appropriate for other strings (e.g., "Deploying Applications on Ma...").

See also:
  `QAbstractItemView::textElideMode`, `QFontMetrics::elidedText()`, `AlignmentFlag` , and `QTabBar::elideMode`.

See Also:
  Serialized Form

Field Summary
`static Qt.TextElideMode` | `ElideLeft` The ellipsis should appear at the beginning of the text.
`static Qt.TextElideMode` | `ElideMiddle` The ellipsis should appear in the middle of the text.
`static Qt.TextElideMode` | `ElideNone` Ellipsis should NOT appear in the text.
`static Qt.TextElideMode` | `ElideRight` The ellipsis should appear at the end of the text.

Method Summary
`static Qt.TextElideMode` | `resolve(int value)` Returns the TextElideMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.TextElideMode` | `valueOf(java.lang.String name)`
`static Qt.TextElideMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ElideLeft

    public static final Qt.TextElideMode ElideLeft

  The ellipsis should appear at the beginning of the text.

### ElideRight

    public static final Qt.TextElideMode ElideRight

  The ellipsis should appear at the end of the text.

### ElideMiddle

    public static final Qt.TextElideMode ElideMiddle

  The ellipsis should appear in the middle of the text.

### ElideNone

    public static final Qt.TextElideMode ElideNone

  Ellipsis should NOT appear in the text.

Method Detail

### values

    public static Qt.TextElideMode[] values()

### valueOf

    public static Qt.TextElideMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.TextElideMode resolve(int value)

  Returns the TextElideMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD